at.chipkarte.client.rez.soap

## Class PrivatrezeptVerordnungsAbgabe

- Object
- - at.chipkarte.client.rez.soap.PrivatrezeptVerordnungsAbgabe

-     public class PrivatrezeptVerordnungsAbgabe
      extends Object

  Verordnungsabgabe.
  Abgabeinformationen zu den einzelnen Verordnungen eines Privatrezepts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivatrezeptVerordnungsAbgabe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabedatum()` Abgabedatum.
    `String` | `getAbgabeId()` AbgabeId.
    `String` | `getAbgabestatus()` Abgabestatus.
    `String` | `getAbgabeZeit()` Uhrzeit der Abgabe.
    `String` | `getAbgegebenePackungen()` Abgegebene Packungen.
    `String` | `getBegruendungKorrektur()` Begründung Korrektur.
    `String` | `getErfasstAm()` Erfasst am.
    `String` | `getExpedierender()` Expedierender.
    `String` | `getGesamtabgabeId()` GesamtabgabeId.
    `String` | `getVerordnungsId()` VerordnungsId.
    `void` | `setAbgabedatum(String abgabedatum)`
    `void` | `setAbgabeId(String abgabeId)`
    `void` | `setAbgabestatus(String abgabestatus)`
    `void` | `setAbgabeZeit(String abgabeZeit)`
    `void` | `setAbgegebenePackungen(String abgegebenePackungen)`
    `void` | `setBegruendungKorrektur(String begruendungKorrektur)`
    `void` | `setErfasstAm(String erfasstAm)`
    `void` | `setExpedierender(String expedierender)`
    `void` | `setGesamtabgabeId(String gesamtabgabeId)`
    `void` | `setVerordnungsId(String verordnungsId)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivatrezeptVerordnungsAbgabe

          public PrivatrezeptVerordnungsAbgabe()

  - ### Method Detail

    - #### getVerordnungsId

          public String getVerordnungsId()

      VerordnungsId.
      Format: Zahl von 1 bis 99
      Angabe: Muss.
      Returns:
        VerordnungsId

    - #### setVerordnungsId

          public void setVerordnungsId(String verordnungsId)

    - #### getGesamtabgabeId

          public String getGesamtabgabeId()

      GesamtabgabeId.
      Format: Zahl von 1 bis 999
      Angabe: Bedingt. Im Zuge des Änderns einer Abgabe (`privatrezeptAbgabeAendern`), ist die Eingabe verpflichtend. Beim Einlösen einer Abgabe (`privatrezeptEinloesen`) wird die Angabe der GesamtabgabeId ignoriert.
      Returns:
        Returns the gesamtabgabeId.

    - #### setGesamtabgabeId

          public void setGesamtabgabeId(String gesamtabgabeId)

    - #### getAbgabeId

          public String getAbgabeId()

      AbgabeId.
      Format: Zahl von 1 bis 99
      Angabe: Bedingt. Muss angegeben werden beim Ändern einer Verordnungsabgabe. Angabe wird ignoriert bei Einlösung/Abgabe.
      Returns:
        AbgabeId

    - #### setAbgabeId

          public void setAbgabeId(String abgabeId)

    - #### getAbgabestatus

          public String getAbgabestatus()

      Abgabestatus.
      Mögliche Werte: `StatusAbgabeConstants`.
      Angabe: Muss.
      Returns:
        Abgabestatus

    - #### setAbgabestatus

          public void setAbgabestatus(String abgabestatus)

    - #### getErfasstAm

          public String getErfasstAm()

      Erfasst am.
      Format: TT.MM.JJJJ
      Angabe: Kann. (Ignoriert bei Eingabe)
      Returns:
        Datum erfasstAm

    - #### setErfasstAm

          public void setErfasstAm(String erfasstAm)

    - #### getAbgabedatum

          public String getAbgabedatum()

      Abgabedatum.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Datum Abgabedatum

    - #### setAbgabedatum

          public void setAbgabedatum(String abgabedatum)

    - #### getAbgabeZeit

          public String getAbgabeZeit()

      Uhrzeit der Abgabe.
      Format: hh:mm (Stunden können einstellig angegeben werden)
      Angabe: Kann.
      Returns:
        Uhrzeit AbgabeZeit

    - #### setAbgabeZeit

          public void setAbgabeZeit(String abgabeZeit)

    - #### getExpedierender

          public String getExpedierender()

      Expedierender.
      Format: maximal 250-Zeichen
      Angabe: Kann. Der Experdierende wird nur für Verordnungsabgaben retourniert die vom Vertragsparnter der Durchführung selbst abgegeben wurden.
      Returns:
        Freitext Expedierender

    - #### setExpedierender

          public void setExpedierender(String expedierender)

    - #### getAbgegebenePackungen

          public String getAbgegebenePackungen()

      Abgegebene Packungen.
      Format: Zahl von 0 bis 99
      Angabe: Muss.
      Returns:
        AbgegebenePackungen

    - #### setAbgegebenePackungen

          public void setAbgegebenePackungen(String abgegebenePackungen)

    - #### getBegruendungKorrektur

          public String getBegruendungKorrektur()

      Begründung Korrektur.
      Mögliche Werte: `KorrekturGrundConstants`.
      Angabe: Bedingt. (Bei der Einlösung sind nur die Werte `KorrekturGrundConstants#HEILMITTEL_TIMEOUT` oder `KorrekturGrundConstants#MAGISTRALE_DELAYED` erlaubt.) Die Begründung wird nur für Verordnungsabgaben retourniert die vom Vertragsparnter der Durchführung selbst abgegeben wurden.
      Returns:
        BegruendungKorrektur

    - #### setBegruendungKorrektur

          public void setBegruendungKorrektur(String begruendungKorrektur)